Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025985
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2014-03-13 17:002014-05-26 08:59
ReporteralostaleView Statuspublic 
Assigned ToAugustoMauch 
PrioritynormalResolutionfixedFixed in Version3.0PR14Q3
StatusclosedFix in branchFixed in SCM revision1825749c075f
ProjectionnoneETAnoneTarget Version3.0PR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025985: P&E smarclient datasources are leaked

DescriptionP&E smarclient datasources are leaked.
Steps To Reproduce-In js console execute: var s = scopeleaks.snapshot()
-Open Sales Order window and close it
-In js console execute: scopeleaks.leaks(s)
  -> it returns: ["isc_OBPickAndExecuteDataSource_0"]

It should return []
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0023761 closedinigosanchez Memory leaks on the browser 
related to defect 0025986 closedAugustoMauch notes datasources are leaked 

-  Notes
(0067388)
hgbot (developer)
2014-05-22 20:28

Repository: erp/devel/pi
Changeset: 1825749c075f1e26819f82851cda79edc0dd96b3
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Fri May 02 14:29:47 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/1825749c075f1e26819f82851cda79edc0dd96b3 [^]

[pw3] Datasource of P&E grids is no longer leaked

Fixes issue 25985 https://issues.openbravo.com/view.php?id=25985. [^] The datasource for the grid is now created once the grid is created, not before. Then, when the grid is destroyed, its datasource is also destroyed.

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/templates/ob-pick-and-execute-view-tab.js.ftl
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewTab.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-view.js
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/DataSourceComponent.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/templates/datasource.ftl
---
(0067397)
hudsonbot (developer)
2014-05-23 07:24

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/d0b934adf82b [^]
Maturity status: Test
(0067430)
alostale (developer)
2014-05-26 08:59

code reviewed

Tested in Sales Order, Return to Vendor and Return from Customer windows.

Opening and closing the tabs as well as opening P&E window.

In none of the cases leaks were detected.

- Issue History
Date Modified Username Field Change
2014-03-13 17:00 alostale New Issue
2014-03-13 17:00 alostale Assigned To => AugustoMauch
2014-03-13 17:00 alostale Modules => Core
2014-03-13 17:00 alostale Triggers an Emergency Pack => No
2014-03-13 17:00 alostale Relationship added related to 0023761
2014-03-13 17:04 alostale Relationship added related to 0025986
2014-03-13 18:13 alostale Tag Attached: Performance
2014-03-21 10:58 alostale Target Version PR14Q2 => PR14Q3
2014-04-23 15:43 shuehner Issue Monitored: shuehner
2014-05-22 20:28 hgbot Checkin
2014-05-22 20:28 hgbot Note Added: 0067388
2014-05-22 20:28 hgbot Status new => resolved
2014-05-22 20:28 hgbot Resolution open => fixed
2014-05-22 20:28 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/1825749c075f1e26819f82851cda79edc0dd96b3 [^]
2014-05-23 07:24 hudsonbot Checkin
2014-05-23 07:24 hudsonbot Note Added: 0067397
2014-05-26 08:59 alostale Review Assigned To => alostale
2014-05-26 08:59 alostale Note Added: 0067430
2014-05-26 08:59 alostale Status resolved => closed
2014-05-26 08:59 alostale Fixed in Version => PR14Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker